@ECHO off
SET FILE_NAME_IN=main.cpp
SET FILE_NAME_IN_GPP=main.cpp
SET FILE_NAME_OUT=practica.exe
SET COMPILADOR=g++
SET COMPILADOR_GPP=g++
SET FLAGS=-O3
SET FLAGS2=
REM SET FLAGS2= -L "C:/Program Files (x86)/CodeBlocks/MinGW/lib/" -I "C:Program Files (x86)/CodeBlocks/MinGW/include/" -lfftw3-3 -lm -lgomp-1
REM SET FLAGS2=-I "C:Program Files (x86)/CodeBlocks/MinGW/include/"
REM echo %FLAGS2%
REM echo.
REM pause


title Makefile
IF /I "%~1%"=="" (
	goto COMPILE
)
IF /I "%~1%"=="COMPILE" ( 
	GOTO COMPILE
) ELSE (
	IF /I "%~1%"=="RUN" (
		GOTO RUN
	) ELSE (
		IF /I "%~1%"=="ALL" (
			GOTO ALL
		) ELSE (
			IF /I "%~1%"=="gpp" (
				GOTO GPP
			) 
		)
	)
)
ECHO.
ECHO "ERROR - LA OPCION INDICADA NO EXISTE."
GOTO FIN
:COMPILE
IF NOT EXIST %FILE_NAME_IN% (
	ECHO "EL ARCHIVO %FILE_NAME_IN% NO EXISTE"
	GOTO FIN
)
ECHO "COMPILANDO..."
REM %COMPILADOR% %FLAGS% %FILE_NAME_IN% -o %FILE_NAME_OUT%
%COMPILADOR% %FLAGS% %FILE_NAME_IN% -o %FILE_NAME_OUT% %FLAGS2% 
REM -I "C:/Program Files (x86)/CodeBlocks/MinGW/include/" -L "C:/Program Files (x86)/CodeBlocks\MinGW/lib/"
GOTO FIN
:RUN
IF NOT EXIST %FILE_NAME_OUT% (
	ECHO "EL ARCHIVO %FILE_NAME_OUT% NO EXISTE"
	GOTO FIN
)
ECHO "CORRIENDO..."
%FILE_NAME_OUT%
GOTO FIN
:ALL
IF NOT EXIST %FILE_NAME_IN% (
	ECHO "EL ARCHIVO %FILE_NAME_IN% NO EXISTE"
	GOTO FIN
)
ECHO "COMPILANDO..."
gcc %FLAGS% %FILE_NAME_IN% -o %FILE_NAME_OUT%
IF NOT EXIST %FILE_NAME_OUT% (
	ECHO "EL ARCHIVO %FILE_NAME_OUT% NO EXISTE"
	GOTO FIN
)
ECHO "CORRIENDO..."
%FILE_NAME_OUT%
GOTO FIN
:GPP
IF NOT EXIST %FILE_NAME_IN_GPP% (
	ECHO "EL ARCHIVO %FILE_NAME_IN_GPP% NO EXISTE"
	GOTO FIN
)
ECHO "COMPILANDO..."
REM %COMPILADOR% %FLAGS% %FILE_NAME_IN% -o %FILE_NAME_OUT%
%COMPILADOR_GPP% %FLAGS% %FILE_NAME_IN_GPP% -o %FILE_NAME_OUT% %FLAGS2%
GOTO FIN
:FIN